<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui">
<h:head>
    <title>beboss-metlife</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="description" content=""/>
    <meta name="author" content="Beboss"/>
    <link rel="icon" type="image/png" sizes="16x16" href="#{request.contextPath}/recursos/assets/images/favicon.png"/>
    <link href="#{request.contextPath}/recursos/dist/css/pages/login-register-lock.css" rel="stylesheet"/>
    <link href="#{request.contextPath}/recursos/dist/css/style.css" rel="stylesheet"/>
    
    <script src="#{request.contextPath}/recursos/assets/easing/jquery.easing.1.3.min.js"></script>
    <script src="#{request.contextPath}/recursos/assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="#{request.contextPath}/recursos/assets/popper/popper.min.js"></script>
    
    <style>
		.login-sidebar .login-box {
		    left: 0px;
		    position: absolute;
		    height: 100%;
		    right: inherit;
		}      
		.modal-backdrop {display: none;}
		.ui-growl {
		    position:absolute;
		    top:40%;
		    left:35%;
		    z-index:9999;
		    border-radius:15px;
		    background-color:#FFFFFF;
		}
    </style>
</h:head>
<h:body>		
    <div class="preloader">
        <div class="loader">
            <div class="loader__figure"></div>
            <p class="loader__label">Elite admin</p>
        </div>
    </div>
    
    <section id="wrapper" class="login-register login-sidebar" style="background-image:url(#{request.contextPath}/recursos/assets/images/background/login-register.jpg);">
        <div class="login-box card">
            <div class="card-body">
                    <a href="javascript:void(0)" class="db"><br/><h:graphicImage url="#{request.contextPath}/recursos/assets/images/logo-text.png" alt="Home" /></a>
                    <h:form id="loginform"> 
                    	<p:growl id="growl" life="2000" />
                    	<div class="form-group m-t-40">
                            <div class="col-xs-12">
	                            <p:inputText id="username" value="#{loginBean.cuenta}" required="true" label="Usuario" placeholder="Usuario" requiredMessage="Debe ingresar usuario" class="form-control" />
	                       		<p:message for="username" display="icon" />
	                        </div>
	                    </div>
	                    <div class="form-group">
	                        <div class="col-xs-12">
	                            <p:password id="password" value="#{loginBean.clave}" redisplay="true" required="true" label="Clave" placeholder="Contraseña" requiredMessage="Debe ingresar contraseña" class="form-control" />
	                        	<p:message for="password" display="icon" />
	                        </div>
	                    </div>
	                    <div class="form-group row">
	                        <div class="col-md-12">
	                            <div class="d-flex no-block align-items-center">
	                                <div>
	                                    <h:selectBooleanCheckbox id="customCheck1" value="#{loginBean.recordar}" />
	                                    <label for="customCheck1">Recordar mi cuenta</label>
	                                </div> 
	                                <div class="ml-auto">
	                                    <a href="javascript:void(0)" id="to-recover" class="text-muted"><i class="fas fa-lock m-r-5"></i> Olvide la contraseña</a>
	                                </div>
	                            </div>   
	                        </div>
	                    </div>
	                    <div class="form-group text-center m-t-20">
					        <div class="col-xs-12">
					            <p:commandButton value="INGRESAR" id="btnIngresar" update="growl"  actionListener="#{loginBean.loginAction}" style="background: #0c61a1; color: #fff" styleClass="btn btn-lg btn-block text-uppercase btn-rounded" />
					        </div>
					    </div>
                        <div>
		                    <h:selectBooleanCheckbox id="customCheck2" value="#{loginBean.chkAcepta}" />
		                     <label for="customCheck2">Acepto los terminos y condiciones de uso</label>
	                    </div>
                     </h:form>
                    <button type="button" class="btn" data-toggle="modal" data-target=".bs-example-modal-lg"><u>Ver Términos y Condiciones</u></button>
                    <!-- sample modal content -->
                	<div class="modal bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" style="display: none;">
                    <div class="modal-dialog modal-xl">
                        <div class="modal-content">
                            <div class="modal-body" style="text-align:left">
                                <h2>Términos del software para las Condiciones generales de uso de BEBOSS®</h2>
                                <p>A continuación se detallan los términos y condiciones generales de uso de BEBOSS® y condiciones específicas de esta solución</p>
                                <h5>1. Uso del Software.</h5>
                                <h6>1.1 Licencia de Uso de Software.</h6>
							     <p>
							       (a) en el Territorio Nacional, (b), siempre que su licencia sea válida y (c) de forma coherente con estas condiciones y la documentación relacionada, que acompaña al Software. Usted puede activar el Software en la cantidad de dispositivos (o equipos virtuales) que desee, si estas activaciones están asociadas a la IP de instalaciones de MetLife Chile, podrá visualizar y utilizar integralmente las funcionalidades definidas para su usuario el BEBOSS®, no obstante, si la conexión se realiza a través de IP no descritas anteriormente, sólo podrá visualizar y utilizar funcionalidades definidas por MetLife Chile.  
							     </p>
							     <h6>1.2 Una licencia - Un usuario.</h6>
							     <p>
							       Una Licencia podrá ser utilizada exclusivamente por un usuario. Se prohíbe la utilización de una licencia por más de un usuario, ya que cada usuario tiene información privada y visible exclusivamente por él y su jerarquía directa. 
							     </p>
							     <ul>
							       <li>
							         (a) Licencia. Sujeto al cumplimiento de estas condiciones y el alcance de la licencia especificado en la documentación que acompaña al Software, le otorgamos una licencia exclusiva para utilizar BEBOSS®
							       </li>
							       <li>
							         (b)	Solo se permite la utilización integral del BEBOSS® en las instalaciones de MetLife Chile. En lugares externos sólo se permite el uso de las funcionalidades definidas por MetLife Chile.
							       </li>
							     </ul>
							     <h6>1.3 Restricciones y requisitos.</h6>
							     <p>
							       1.3.1 	Los derechos de propiedad intelectual sobre BEBOSS®, o “copyright”, pertenecen exclusivamente a su autor.
							     </p>
							     <p>
							       El usuario adquiere solamente el derecho a usarlo libremente en los dispositivos que desee, con las únicas limitaciones que se detallan a continuación:
							     </p>
							     <ul>
							       <li>
							         (a)	No está permitido la difusión del BEBOSS® mediante fotos o print de pantalla.
							       </li>
							       <li>
							         (b)	Solo se permite la utilización integral del BEBOSS® en las instalaciones de MetLife Chile. En lugares externos sólo se permite el uso de las funcionalidades definidas por MetLife Chile.
							       </li>
							     </ul>
							     <p>
							       1.3.2	Restricciones.
							     </p>
							     <p>
							       En ningún caso esta licencia implica la cesión del derecho de propiedad sobre BEBOSS®, por lo que el usuario no podrá proceder a:
							     </p>
							     <ul>
							       <li>
							         (1)	modificar, migrar, adaptar o traducir el Software;
							       </li>
							       <li>
							         (2)	realizar ingeniería inversa, descompilar, desensamblar ni intentar descubrir el código fuente del Software de otro modo;
							       </li>
							       <li>
							         (3)	utilizar ni ofrecer el Software como mecanismo de impresión;
							       </li>
							       <li>
							         (4)	alojar o transmitir el Software o permitir a alguien a acceder al Software a través de Internet o acceder de otra manera el Software de manera remota;
							       </li>
							       <li>
							         (5)	(i) infringir medidas tecnológicas destinadas a controlar el acceso al Software o (b) desarrollar, distribuir o utilizar con el Software productos que infringen tales medidas tecnológicas; o
							       </li>
							       <li>
							         (6)	arrendar, alquilar, vender, otorgar licencias, ceder o transferir sus derechos de uso del Software, ni autorizar la copia total o parcial de él en otro dispositivo. 
							       </li>
							     </ul>
							     <h6>1.4	Activación.</h6>
							     <p>
							       Para utilizar BEBOSS® se requiere que siga determinados pasos para activar su usuario o validar su licencia. Si hay algún error al activar o registrar el Software, o al validar la licencia, o nosotros determinamos que usted hace un uso fraudulento o no autorizado del Software, puede dar como resultado una funcionalidad reducida o inoperatividad del Software, o la terminación o suspensión de la licencia.
							     </p>
							     <h6>1.5	Actualizaciones.</h6>
							     <p>
							       El Software considera actualizaciones automáticas periódicas. Estas actualizaciones consideran correcciones de errores, nuevas funciones o nuevas versiones. Usted se compromete a recibir tales actualizaciones como parte de su uso del Software.
							     </p>
							     <h6>1.6 Información contenida</h6>
							     <p>
							       1.6.1 La información de Meta/Planificación y acciones comerciales de funnel de actividades, constituye información proporcionada por el usuario, el cual es responsable de todos los datos ingresados en el Software.
							     </p>
							     <p>
							       1.6.2 La información de productividad Real de los usuarios del Software, es proporcionada por MetLife Chile.
							     </p>
							     <p>
							       1.6.3 Información con desfase
							     </p>
							     <p>
							       La persistencia básica, persistencia de ahorro y el sueldo de arrastre son datos que se utilizan con información diferida en el tiempo.
							     </p>
							     <p>
							       1.7 Consideraciones de la Estimación de Sueldo
							     </p>
							     <p>
							       BEBOSS® es una plataforma de direccionamiento comercial, por lo tanto la Estimación de Sueldo que realiza es de orden referencial y en ningún caso constituye una obligación de remuneración por parte de MetLife Chile o BEBOSS®. Ésta no incluye las condiciones comerciales, leyes laborales y condiciones contractuales del usuario y/o negocio. 
							     </p>
							     <p>
							       La estimación de Sueldo no incluye descuentos en venta por concepto de:
							     </p>
							     <ul>
							       <li>
							         (a)	Reemplazo de pólizas, ya sea por endoso negativo, rescate o anulación de pólizas.
							       </li>
							       <li>
							         (b)	Venta Cruzada
							       </li>
							       <li>
							         (c)	Venta Familiar
							       </li>
							       <li>
							         (d)	Frecuencia de pago de pólizas distinta a mensual
							       </li>
							     </ul>
                            </div>
                        </div>
                        <!-- /.modal-content -->
                    </div>
                    <!-- /.modal-dialog -->
                </div>
                <!-- /.modal -->
                <h:form styleClass="form-horizontal" id="recoverform" >
                	<p:growl id="growlr" life="2000" />
                    <div class="form-group ">
                        <div class="col-xs-12">
                            <h3>Regenerar Contraseña</h3>
                            <h5>Con esta acción el sistema creara una nueva clave de acceso al sistema</h5>
                            <p class="text-muted">Ingrese e-mail asociado a la cuenta</p>
                        </div>
                    </div>
                    <div class="form-group ">
                        <div class="col-xs-12">
                            <p:inputText styleClass="form-control" maxlength="50" placeholder="Email" required="true" requiredMessage="Debe ingresar e-mail asociado a la cuenta"
                            	value="#{loginBean.emailRecuperaClave}" />
                        </div>
                    </div>
                    <div class="form-group text-center m-t-20">
                        <div class="col-xs-12">
                            <p:commandButton styleClass="btn btn-primary btn-lg btn-block text-uppercase waves-effect waves-light"
                            	value="Regenerar contraseña" actionListener="#{loginBean.regenerarClave}" update="growlr" />
                            <p:commandButton styleClass="btn btn-secondary btn-lg btn-block text-uppercase waves-effect waves-light"
                            	value="Volver" onclick="volver();" />
                        </div>
                    </div>
                </h:form>
            </div>
        </div>
    </section>
   <script type="text/javascript">
    $(function() {
        $(".preloader").fadeOut();
    });
    $(function() {
        $('[data-toggle="tooltip"]').tooltip()
    });
    // ============================================================== 
    // Login and Recover Password 
    // ============================================================== 
    $('#to-recover').on("click", function() {
        $("#loginform").slideUp();
        $("#recoverform").fadeIn();
    });

    function volver(){
	   	$("#loginform").fadeIn();
		$("#recoverform").slideUp();
    }
 	</script>
</h:body>
</html>
